MuleChildDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.MuleChildDefinitionParser interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers
Interface MuleChildDefinitionParser

All Superinterfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration

All Known Implementing Classes:
  AbstractChildDefinitionParser, AbstractSingleParentFamilyChildDefinitionParser, AttributeListEntryDefinitionParser, AttributeMapDefinitionParser, AttributePropertiesDefinitionParser, BindingDefinitionParser, ChildAddressDefinitionParser, ChildDefinitionParser, ChildEndpointDefinitionParser, ChildListDefinitionParser, ChildListEntryDefinitionParser, ChildMapDefinitionParser, ChildMapEntryDefinitionParser, ChildPropertiesDefinitionParser, ChildSingletonMapDefinitionParser, ComponentDefinitionParser, ConfigurationChildDefinitionParser, DataObjectDefinitionParser, DescendentDefinitionParser, EndpointChildDefinitionParser, EndpointPropertyElementDefinitionParser, ExceptionTXFilterDefinitionParser, GenericEndpointDefinitionParser, GrandchildDefinitionParser, InterceptorDefinitionParser, MapDefinitionParserMutator, NotificationDefinitionParser, ObjectFactoryDefinitionParser, OptionalChildDefinitionParser, PoolingProfileDefinitionParser, RouterDefinitionParser, ScriptComponentDefinitionParser, ScriptDefinitionParser, ServiceOverridesDefinitionParser, ShortcutComponentDefinitionParser, SimpleComponentDefinitionParser, SimplePropertyDefinitionParser, TestComponentDefinitionParser, TextDefinitionParser, ThreadingProfileDefinitionParser, TransactionConfigDefinitionParser, XsltTextDefinitionParser

    public interface MuleChildDefinitionParser

extends MuleDefinitionParser

Extra functionality exposed by child parsers

Method Summary
`void` | `forceParent(org.springframework.beans.factory.config.BeanDefinition parent)`
`PropertyConfiguration` | `getTargetPropertyConfiguration()`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`getBeanName, muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Method Detail

### forceParent

    void forceParent(org.springframework.beans.factory.config.BeanDefinition parent)

### getTargetPropertyConfiguration

    PropertyConfiguration getTargetPropertyConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.